Bug 192860 - Resync BoringSSL to M72
Summary: Resync BoringSSL to M72
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-19 10:31 PST by youenn fablet
Modified: 2019-01-03 15:05 PST (History)
7 users (show)

See Also:


Attachments
patch (35.77 MB, patch)
2018-12-19 10:38 PST, youenn fablet
no flags Details | Formatted Diff | Diff
patch (3.62 KB, patch)
2018-12-20 00:56 PST, Alejandro G. Castro
no flags Details | Formatted Diff | Diff
Patch (35.77 MB, patch)
2018-12-20 16:16 PST, youenn fablet
eric.carlson: review+
youennf: commit-queue+
Details | Formatted Diff | Diff
Patch for landing (35.77 MB, patch)
2018-12-21 17:02 PST, youenn fablet
youennf: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2018-12-19 10:31:37 PST
Resync BoringSSL to M72
Comment 1 youenn fablet 2018-12-19 10:38:45 PST
Created attachment 357692 [details]
patch
Comment 2 Build Bot 2018-12-19 11:05:18 PST
Attachment 357692 [details] did not pass style-queue:


ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_3des_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes128_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes192_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes256_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
Total errors found: 9244 in 735 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Alejandro G. Castro 2018-12-20 00:56:44 PST
Created attachment 357800 [details]
patch

GTK and WPE compilation patch.
Comment 4 youenn fablet 2018-12-20 16:16:01 PST
Created attachment 357895 [details]
Patch
Comment 5 Build Bot 2018-12-20 16:46:09 PST
Attachment 357895 [details] did not pass style-queue:


ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_3des_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes128_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes192_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes256_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
Total errors found: 9244 in 736 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 youenn fablet 2018-12-21 17:02:25 PST
Created attachment 358004 [details]
Patch for landing
Comment 7 Build Bot 2018-12-21 17:22:19 PST
Attachment 358004 [details] did not pass style-queue:


ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_3des_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes128_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes192_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
ERROR: Source/ThirdParty/libwebrtc/Source/third_party/boringssl/src/crypto/cmac/cavp_aes256_cmac_tests.txt:1:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
ERROR: Suppressing further [whitespace/carriage_return] reports for this file.
Total errors found: 9244 in 736 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 youenn fablet 2019-01-03 09:56:51 PST
Fixed in https://trac.webkit.org/changeset/239533/webkit
Comment 9 Radar WebKit Bug Importer 2019-01-03 09:58:03 PST
<rdar://problem/47027358>